Main Page Namespace List Class Hierarchy Compound List Compound Members

# ZThread::SingletonDestroyer Class Template Reference

`#include <Singleton.h>`

List of all members.

## Public Methods
| SingletonDestroyer (DOOMED *=0) throw ()
| ~SingletonDestroyer () throw ()
void | setDoomed (DOOMED *)

## Detailed Description

### template<class DOOMED> class ZThread::SingletonDestroyer

Author:
  Eric Crahen

Date:
  09-21-2000

Version:
  1.1.0

Based on the work of John Vlissidles in his book 'Pattern Hatching'

This template class has one job and that is to kill a Singleton of of type DOOMED. This class is used internally by the template Singleton class an is not needed, in general, by client code.

## Constructor & Destructor Documentation

SingletonDestroyer ( | DOOMED * d = 0 ) throw ()

  | Create a SingletonDestroyer that will delete a particular object Parameters:
  DOOMED | * - object to delete
  Parameters:
  d |

~SingletonDestroyer ( | ) throw ()

| Destroy the SingletonDestroyer and its target (DOOMED*)

## Member Function Documentation

void setDoomed ( | DOOMED * d )

  | Change the target object that will be destroyed ma DOOMED* - target object Parameters:
  d |

The documentation for this class was generated from the following file:

- Singleton.h